Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 16 Feb 2023 06:33:53 +0000

Hi Mais Hasan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi,

I had the worst opportunity to deal with your absolute unprofessional company the past two days. It was really unfortunate that I choose to make an online purchase via your website, only to face the most failure of a delivery service by your team. 

The purchase order #7814126267 has been placed on Feb 10th 2023 and schedule to be delivered by the 11th as per your purchase SMS confirmation. But your courier failed to delivered the shipment leaving me waiting and wasting my whole Saturday for nothing. I contacted your helpline and they said that they will reschedule to be delivered to my place on Feb 12th 2023.

At 1700 hours, I receive a call from ill-mannered, unprofessional, courier saying that he cannot find my address, stating and I quote "I do not exist on google" And telling me to send my location via whatsapp! Now I am not a client of whatsapp and I do not use that annoying application. Yet, your courier insisted that without it he will not deliver the shipment.And when asked what is the solution to this unprofessionalism. He kept repeating without whatsapp he cannot deliver. Then he goes and cancel the delivery. As per an SMS confirmation. 

Now I made the purchase via your website, I filled all the address fields. There was nothing about whatsapp being compulsory to receive my goods. 

I demand refund of the purchased goods. I wish NOT to received nor dealing with Splash EVER.
I wish NOT to deal with your company, nor your unprofessional employees ever again. Like the lazy courier holding the number 66397631

Please REFUND my money  a.s.a.p and keep your goods and service

M. Salmeen https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5701205